Lista ou consulta categories
GET/api/events/categories
- Auth
- Öffentlich
- X-CommunityId
X-CommunityIdSende die X-CommunityId der Community, in der die Operation stattfindet.
Die Beschreibungen der Endpoints stammen aus der API-Spezifikation und sind vorerst auf Portugiesisch. Die Oberfläche drumherum ist übersetzt.
Autenticação opcional: o conteúdo retornado varia conforme o membro autenticado.
Parameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
spaceIdoptional | query | string (uuid) | Valid space ID required if provided |
filteroptional | query | next | my | past | all | Filter must be one of: next, my, past, all |
searchoptional | query | string | Search must be a string |
Header
| Name | Typ | Beschreibung |
|---|---|---|
X-CommunityIdoptional | string (uuid) | ID da comunidade em que a operação acontece. Obrigatório na maioria dos endpoints com escopo de comunidade. |
Antworten
| Status | Beschreibung |
|---|---|
200 | Operação realizada com sucesso. |
400 | Requisição inválida — falha de validação. |
500 | Erro interno do servidor. |
curl-Beispiel
curl -X GET "https://api.memberfy.net/api/events/categories" \
-H "X-CommunityId: $COMMUNITY_ID"